Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 2696973002: Allow Safe Browsing backend to select downloads to upload. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months, 1 week ago by Nathan Parker
Modified:
7 months ago
CC:
asanka, asvitkine+watch_chromium.org, chromium-reviews, grt+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Allow Safe Browsing backend to select downloads to upload. This gives the server more nuanced control so it can mark a file as verdict UNKNOWN but still request it get uploaded, to improve the verdict for later. BUG=687685 Review-Url: https://codereview.chromium.org/2696973002 Cr-Commit-Position: refs/heads/master@{#452181} Committed: https://chromium.googlesource.com/chromium/src/+/9a5e4eca3101ae44e53ae30064b5efba3e2bfdc4

Patch Set 1 #

Patch Set 2 : Add unittest for DownloadProtectionService #

Total comments: 4

Patch Set 3 : Fix a test, and address jialiul's comments #

Patch Set 4 : Switch logic to make the upload_requested bit authoritative for not-SAFE #

Patch Set 5 : Fix histogram desc #

Patch Set 6 : rebase #

Patch Set 7 : Fix up comments #

Total comments: 4

Patch Set 8 : Switch histogram to use enum, per isherman #

Unified diffs Side-by-side diffs Delta from patch set Stats (+118 lines, -48 lines) Patch
M chrome/browser/download/download_browsertest.cc View 1 2 3 2 chunks +3 lines, -5 lines 0 comments Download
M chrome/browser/safe_browsing/download_feedback_service.h View 1 2 3 4 5 6 1 chunk +5 lines, -2 lines 0 comments Download
M chrome/browser/safe_browsing/download_feedback_service.cc View 1 2 3 4 5 6 1 chunk +10 lines, -10 lines 0 comments Download
M chrome/browser/safe_browsing/download_feedback_service_unittest.cc View 1 2 3 6 chunks +48 lines, -23 lines 0 comments Download
M chrome/browser/safe_browsing/download_protection_service.cc View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/safe_browsing/download_protection_service_unittest.cc View 1 2 3 7 chunks +31 lines, -7 lines 0 comments Download
M chrome/common/safe_browsing/csd.proto View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 2 chunks +16 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   win_clang   linux_chromium_asan_rel_ng   chromium_presubmit   win_chromium_rel_ng   ios-device   ios-simulator-xcode-clang   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   mac_chromium_rel_ng   linux_chromium_tsan_rel_ng   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-simulator   linux_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   android_cronet   linux_android_rel_ng   android_arm64_dbg_recipe   android_clang_dbg_recipe   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   linux_chromium_chromeos_ozone_rel_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   ios-device   ios-simulator-xcode-clang   win_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_rel_ng   ios-simulator   linux_chromium_asan_rel_ng   win_clang   win_chromium_rel_ng   linux_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   chromium_presubmit   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   android_arm64_dbg_recipe   linux_android_rel_ng   android_compile_dbg   android_cronet   cast_shell_android   android_clang_dbg_recipe   android_n5x_swarming_rel 
Commit queue not available (can’t edit this change).

Messages

Total messages: 57 (36 generated)
Nathan Parker
7 months, 1 week ago (2017-02-15 00:22:12 UTC) #4
Jialiu Lin
lgtm https://codereview.chromium.org/2696973002/diff/20001/chrome/browser/safe_browsing/download_feedback_service.h File chrome/browser/safe_browsing/download_feedback_service.h (right): https://codereview.chromium.org/2696973002/diff/20001/chrome/browser/safe_browsing/download_feedback_service.h#newcode47 chrome/browser/safe_browsing/download_feedback_service.h:47: // upload by the server with |upload_requested| if ...
7 months, 1 week ago (2017-02-15 00:45:27 UTC) #6
Nathan Parker
Thanks! PTAL. https://codereview.chromium.org/2696973002/diff/20001/chrome/browser/safe_browsing/download_feedback_service.h File chrome/browser/safe_browsing/download_feedback_service.h (right): https://codereview.chromium.org/2696973002/diff/20001/chrome/browser/safe_browsing/download_feedback_service.h#newcode47 chrome/browser/safe_browsing/download_feedback_service.h:47: // upload by the server with |upload_requested| ...
7 months, 1 week ago (2017-02-15 01:38:04 UTC) #10
Nathan Parker
I switched the logic to match what auk@ described. PTAL.
7 months ago (2017-02-16 21:55:29 UTC) #24
Jialiu Lin
lgtm
7 months ago (2017-02-16 22:04:17 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696973002/90009
7 months ago (2017-02-17 00:04:56 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/366705)
7 months ago (2017-02-17 02:05:53 UTC) #31
Nathan Parker
asaka: Please review chrome/browser/download/download_browsertest.cc holte: Please review histograms.xml Thanks!
7 months ago (2017-02-17 16:32:50 UTC) #33
asanka
lgtm
7 months ago (2017-02-17 22:30:53 UTC) #34
Nathan Parker
-holte (vacation), +isherman for histograms.xml. (Thanks!)
7 months ago (2017-02-18 00:13:41 UTC) #36
Ilya Sherman
https://codereview.chromium.org/2696973002/diff/90009/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2696973002/diff/90009/tools/metrics/histograms/histograms.xml#newcode58447 tools/metrics/histograms/histograms.xml:58447: +<histogram name="SBDownloadFeedback.UploadRequestedByServer" units="boolean"> Please use an enum, with labels ...
7 months ago (2017-02-18 00:31:56 UTC) #37
Nathan Parker
Thanks! isherman -- PTAL. https://codereview.chromium.org/2696973002/diff/90009/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/2696973002/diff/90009/tools/metrics/histograms/histograms.xml#newcode58447 tools/metrics/histograms/histograms.xml:58447: +<histogram name="SBDownloadFeedback.UploadRequestedByServer" units="boolean"> On 2017/02/18 ...
7 months ago (2017-02-18 00:59:59 UTC) #38
Ilya Sherman
Metrics LGTM, thanks.
7 months ago (2017-02-18 01:01:42 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696973002/130001
7 months ago (2017-02-18 01:06:57 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_daisy_chromium_compile_only_ng on ...
7 months ago (2017-02-18 03:09:05 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696973002/130001
7 months ago (2017-02-21 20:22:07 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_daisy_chromium_compile_only_ng on ...
7 months ago (2017-02-21 22:24:33 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696973002/130001
7 months ago (2017-02-22 00:28:54 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
7 months ago (2017-02-22 02:34:18 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696973002/130001
7 months ago (2017-02-22 18:40:11 UTC) #54
commit-bot: I haz the power
7 months ago (2017-02-22 20:16:41 UTC) #57
Message was sent while issue was closed.
Committed patchset #8 (id:130001) as
https://chromium.googlesource.com/chromium/src/+/9a5e4eca3101ae44e53ae30064b5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b